Package org.opensaml.soap.wstrust.impl

# Class RequestedReferenceTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.soap.wstrust.impl.AbstractWSTrustObject
org.opensaml.soap.wstrust.impl.RequestedReferenceTypeImpl

All Implemented Interfaces:
  `XMLObject`, `RequestedReferenceType`, `WSTrustObject`

Direct Known Subclasses:
  `RequestedAttachedReferenceImpl`, `RequestedUnattachedReferenceImpl`

public class RequestedReferenceTypeImpl extends AbstractWSTrustObject implements RequestedReferenceType
RequestedReferenceTypeImpl.

## Field Summary

Fields
Modifier and Type
Field
Description
`private SecurityTokenReference`
`securityTokenReference`
SecurityTokenReference child element.

### Fields inherited from interface org.opensaml.soap.wstrust.RequestedReferenceType

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`RequestedReferenceTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`SecurityTokenReference`
`getSecurityTokenReference()`
Returns the wsse:SecurityTokenReference child element.
`void`
`setSecurityTokenReference(SecurityTokenReference newSecurityTokenReference)`
Sets the wsse:SecurityTokenReference child element.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### securityTokenReference

@Nullable private SecurityTokenReference securityTokenReference
SecurityTokenReference child element.

## Constructor Details

### RequestedReferenceTypeImpl

public RequestedReferenceTypeImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace of the element
  `elementLocalName` - name of the element
  `namespacePrefix` - namespace prefix of the element

## Method Details

### getSecurityTokenReference

@Nullable public SecurityTokenReference getSecurityTokenReference()
Returns the wsse:SecurityTokenReference child element.

Specified by:
  `getSecurityTokenReference` in interface `RequestedReferenceType`
Returns:
  the `SecurityTokenReference` child element or `null`.

### setSecurityTokenReference

public void setSecurityTokenReference(@Nullable SecurityTokenReference newSecurityTokenReference)
Sets the wsse:SecurityTokenReference child element.

Specified by:
  `setSecurityTokenReference` in interface `RequestedReferenceType`
Parameters:
  `newSecurityTokenReference` - The `SecurityTokenReference` child element to be set.

### getOrderedChildren

@Nullable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements